RDMnet::EPT::ept_header Struct Reference

The ept_header struct. More...

`#include <ept.h>`

Inheritance diagram for RDMnet::EPT::ept_header:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream s) override
| fill structure data from input stream
void | oStream (ACN::PDU::Stream s) const override
| write structure data to output stream

## Public Attributes

UUID::uuid | destination_cid
| CID of the destination component.

## Detailed Description

The ept_header struct.

## Member Function Documentation

## streamSize()

size_t RDMnet::EPT::ept_header::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/ept/ept.h